import winston, { format } from "winston";

const logger = winston.createLogger({
  format: format.combine(
    format.timestamp(),
    format.align(),
    format.colorize({ all: true }),
    format.printf((info) => `${info.timestamp} ${info.level}:${info.message}`)
  ),
});

const files = new winston.transports.File({ filename: "/tmp/express.log" });
const console = new winston.transports.Console();

logger.clear().add(files).add(console);

export default logger;
